package com.thinkgem.jeesite.common.baseBean;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class BaseEntity implements java.io.Serializable {
    private String id; // 主键
    private String code; // 唯一编码
    @JsonIgnore
    private String created; //创建时间
    @JsonIgnore
    private String createdUser; //创建人
    @JsonIgnore
    private String modified; //修改时间
    @JsonIgnore
    private String modifiedUser; //修改人

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(String createdUser) {
        this.createdUser = createdUser;
    }

    public String getModified() {
        return modified;
    }

    public void setModified(String modified) {
        this.modified = modified;
    }

    public String getModifiedUser() {
        return modifiedUser;
    }

    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser;
    }
}
